APIsCatalogReferencePart Lookup
Retrieve a part from the catalog based on the part description.
Looks up a single part by its exact part number and returns current pricing, stock, and specification data. Set includeRelatedParts to also receive parts related to the one you asked for, such as alternate packaging options. Returns 204 No Content if the part number is well-formed but no data is available for it.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {your token here}"
In: header
Path Parameters
part*string
The part to retrieve (i.e. TSW-110-08-T-D).
Query Parameters
isoCurrencyCode?string
ISO 4217 Currency Code to define in what currency pricing will display.
Default
"USD"Header Parameters
client-app-name?string
Name of the client application
Default
"samtec-dev-portal"Response Body
application/json
application/json
curl -X GET "https://example.com/v3/string"{ "id": "60f1a2b3c4d5e6f7a8b9c0d1", "part": "TSW-110-08-T-D", "description": "TSW Series, 8 Position, Single Row, Straight, Through Hole, 0.100\" (2.54mm) Pitch, Socket Strip", "stockQuantity": 184320, "minimumOrderQuantity": 1, "currency": "USD", "price": [ { "column": 1, "minimumQuantity": 1, "maximumQuantity": 24, "price": 1.42 }, { "column": 2, "minimumQuantity": 25, "maximumQuantity": 99, "price": 1.08 }, { "column": 3, "minimumQuantity": 100, "maximumQuantity": 999, "price": 0.79 } ], "customerBookPrice": [], "packaging": { "description": "Tube", "standardQuantity": 50, "fullIncrementRequired": false }, "relatedParts": [ { "part": "TSW-110-08-T-S", "stockQuantity": 62150, "packaging": { "description": "Tube", "standardQuantity": 50, "fullIncrementRequired": false }, "relatedPartType": "Alternate Plating" } ], "environmentalCompliance": [ { "regulationName": "RoHS", "result": "Compliant", "additionalAttributes": {} } ], "additionalDocuments": [ { "description": "Catalog Page", "path": "https://suddendocs.samtec.com/catalog_english/tsw_th.pdf", "languageISO": "en", "type": "CAT", "typeFull": "Catalog Page" } ], "imageUrl": "https://cdn.samtec.com/images/parts/TSW-110-08-T-D.png", "series": "TSW", "seriesWithOption": null, "buyNowUrl": "https://www.samtec.com/products/tsw-110-08-t-d", "requestSampleUrl": "https://www.samtec.com/products/tsw-110-08-t-d#samples", "nonCancellableNonReturnable": false, "lifecycleStatus": "Production", "models": [], "standardLeadDays": 5, "eccnCategory": "EAR99", "htsNumber": "853690", "probableCountryOfOrigin": "United States", "reserve": true, "mates": []}